Nodes & EdgesUpdate node event

Update node event

Update an event by its ID. Requires an agency key (ak_).

curl -X PATCH "https://mythic-analytics.gulp.workers.dev/builder/canvases/123e4567-e89b-12d3-a456-426614174000/events/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "event_type": "example_string",
  "trigger": "page_load",
  "trigger_config": {},
  "event_params": {},
  "enabled": true
}'
{
  "success": true
}
PATCH
/canvases/{canvasId}/events/{eventId}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
path
canvasIdstring
Required

Canvas UUID.

Format: uuid
path
eventIdstring
Required

Node event UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Content-Typestring
Required

The media type of the request body

Options: application/json
triggerstring
Options: page_load, form_submit, button_click, scroll_depth, time_on_page, element_visible, custom
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Path Parameters

eventIdstring
Required

Node event UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Body

application/json
triggerstring
Allowed values:page_loadform_submitbutton_clickscroll_depthtime_on_pageelement_visiblecustom

Responses

successboolean